Java, Silverlight e outros plugins estão desativados por padrão no Chrome 42



O Google Chrome recebeu ontem (terça, 14) a atualização de número 42. Além de algumas novidades, melhorias e correções de alguns bugs, veio também a segunda fase de uma grande mudança no navegador, que é a remoção do suporte à arquitetura NPAPI (utilizada por Java, Silverlight e tantos outros).

Na primeira fase os plugins foram apenas bloqueados, porém o usuário podia executá-los facilmente clicando em "Executar desta vez" em conteúdos que necessitassem o uso dos mesmos.

A antiga API do Netscape é hoje a responsável por alguns deste problemas: travamentos, desempenho, incidentes de segurança, complexidade de código, entre outros. A cartada do Google é tornar o Chrome ainda melhor usando tecnologias recentes como é o caso da PPAPI. Você pode obter mais detalhes e informações em um post que criei no fórum do Chrome: Remoção gradual do suporte à Plugins NPAPI 

Como reativar?

Se por algum motivo você precisa utilizar os plugins: Java, Silverlight, Unity, Facebook Video ou outros. Estarei informando os procedimentos a seguir, porém tenha esta solução como temporária, já que na versão 45 do Chrome será completamente removida. Vale lembrar que a Google recomenda que os usuários entrem em contato com os respectivos desenvolvedores de cada plugin.

Usuários Individuais

1. Digite: chrome://flags/#enable-npapi na barra de endereços e pressione Enter.

2. Na página exibida, abaixo do primeiro item (Ativar NPAPI) clique em Ativar.

3. Será exibida uma barra inferior, clique em Reiniciar agora.


Se por algum motivo o procedimento acima não funcionar, 'role até o topo da página', e ao lado direito clique no botão Redefinir tudo o padrão, reinicie o Chrome e repita novamente o procedimento.

Administrador de Sistemas

1.1 Visite este artigo da Central de Ajuda do Google Chrome.

2.1. Escolha o Modelo de Politica que deseja utilizar e faça o download (geralmente ADM).

3.1. Configure o modelo que escolheu seguindo as instruções do artigo.

4. Finalizado o processo, ainda no Editor de Política do Grupo local, em ▼ Configuração do Computador├  ▼ Modelos Administrativos├ ▼ Modelos Administrativos Clássicos (ADM)▼ Google▼Google Chrome. Agora na tela do lado direito, localize a politica: "Especifica uma lista de plug-ins ativados".


5. Agora basta configurar a politica, selecione Habilitado, em seguida clique em Mostrar. Agora digite o nome do Plugin na lista, em seguida clique em Ok, Aplicar, Ok.



Pronto!

Volto a lembrar que esta não é uma solução permanente, é temporária. A partir de setembro passará à não funcionar. A única maneira de continuar à utilizar é não atualizar seu Chrome para a versão 45 (em setembro) ou utilizar um outro navegador que ofereça suporte ao plugin.

Espero que tenha gostado, na dúvida ou caso ainda tenha problemas me avise nos comentários.

10 comentários

Clique aqui para comentar
Marcelo
admin
17 de abril de 2015 14:22 ×

Muito obrigado, excelente post. Ajudou muito.

Responder
avatar
17 de abril de 2015 14:38 ×

Olá,Marcelo.

Por nada!

Eu que agradeço sua visita.

Grande abraço.

Responder
avatar
17 de abril de 2015 17:56 ×

Obrigado pela ajuda !
Após suas explicações meu crome voltou ao normal com relação ao java !
abraços !!
pedro

Responder
avatar
17 de abril de 2015 19:31 ×

Olá, Pedro.

Fico feliz em ter colaborado. Mas lembre-se que as soluções acima serão validas somente até setembro deste ano.

Grande abraço.
Douglas

Responder
avatar
20 de abril de 2015 11:06 ×

grata Felipe. Ajudou muito. resposta com conteúdo.

Responder
avatar
21 de abril de 2015 16:32 ×

Gostaria de saber porque o chrome não vai funcionar com o plugin do java aprtir de setembro?
....

Responder
avatar
22 de abril de 2015 16:54 ×

Fico feliz em ter ajudado Luiz.


Mas vale lembrar que essa solução, infelizmente é temporária.


Abraço.
Douglas

Responder
avatar
22 de abril de 2015 16:56 ×

Olá, Dennys.


Como informei anteriormente no artigo, a equipe do Google acredita que plug-ins Npapi ofereçam brechas de seguranças e alguns outros problemas ao navegador, e por ter uma quantidade relativamente baixa de usuários que os utilizam, eles optaram por remover o suporte para tais plug-ins.


Obrigado pela visita e comentário.


Abraço.

Responder
avatar
23 de abril de 2015 12:31 ×

Obrigado pela orientação. Funcionou perfeitamente. Mas, levando esse assunto para outro patamar, então quer dizer que a partir das próximas atualizações, o GC não suportará mais o Java e o Silverlight? Então todos os usuários desses Plug-ins serão obrigados a migrar para outros navegadores? Poxa, praticamente todos os Sites de Bancos utilizam o Java para o acesso das contas de seu usuários. Isso sem falar nos Sites que utilizam assinaturas digitais, como Receita federal, Tribunal de contas, etc.Não é possível que a quantidade de usuários desses sistemas sejam tão insignificantes assim. Trabalho no suporte da área de T.I. da Câmara Municipal de minha cidade, e dois setores aqui (R.H. e Contabilidade), dependem, e muito do Java para essas transações. E ter que usar o Internet Explorer para isso, vai ser barra. Vou ser obrigado a instalar o Firefox. Além disso, sou autônomo na área e tenho certeza que isso vai me dar muita dor de cabeça. Confesso que me decepcionei muito com isso...

Responder
avatar